@import "../../scss/colors";

// sub-color: grey;
// main-color: white;

@mixin shrinkLabel($inputWithIcon) {
  @if $inputWithIcon {
    left: -1.5rem !important;
  }
  top: -1.5rem;
  font-size: 0.75rem;
  color: $second-color;
}

@mixin errorWarningInfo($messageType, $componentType) {
  @if (&messageType == "error") {
    @if ($componentType== "label") {
      color: $color-one;
    }
    @if ($componentType== "input") {
      border-bottom-color: $color-one;
      border-width: 0.125rem;
    }
  }
}
.group {
  position: relative;
  margin: 45px 0;
  width: 100%;

  div {
    justify-content: center;
    min-width: 50%;
  }

  .checkboxAndLabel {
    display: flex !important;
    position: relative;
    width: 100%;
    margin-top: -2rem;
    justify-content: flex-start !important;
    align-items: center !important;

    input[type="checkbox"] {
      width: max-content;
    }
    &:focus ~ .form-input-label {
      color: $second-color;
    }
    // width: max-content;
    .checkboxLabel {
      position: relative;
      width: max-content;
      color: $second-color;
      display: block !important;
      left: -1rem;
      top: 0px;
      font-size: 0.75em;
    }
  }

  .form-input {
    // font-size: 0.75rem;
    background: none;
    background-color: $second-color-light;
    color: $back_main-color--high;
    padding: 10px 10px 10px 5px;
    display: block;
    width: 100%;
    border: none;
    border-radius: 0;
    border-bottom: 1px solid $color-four;
    margin: 25px 0;
    border-radius: 0.25rem;
    outline: none;

    &.error {
      @include errorWarningInfo("error", "input");
    }

    &:focus ~ .form-input-label {
      color: $second-color;
    }
  }

  input[type="password"] {
    letter-spacing: 0.1em;
  }

  input:-webkit-autofill,
  input:-webkit-autofill:hover,
  input:-webkit-autofill:focus,
  input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px $second-color-light inset !important;
  }

  .form-input-label {
    color: black;
    font-size: 1rem;
    font-weight: normal;
    position: absolute;
    pointer-events: none;
    left: 0.25rem;
    top: 0.4rem;
    transition: 300ms ease all;
    text-indent: 1.5rem;

    &.shrink {
      @include shrinkLabel(false);
    }
    &.shrink-above-icon {
      @include shrinkLabel(true);
    }
    &.error {
      @include errorWarningInfo("error", "label");
    }
  }
}

.svg-inline--fa {
  width: 100%;
  height: 100%;
  margin: auto;
  overflow: visible;
  vertical-align: -0.125em;
  text-align: center;
  color: hsla(34, 88%, 49%, 0.932);
  position: absolute;
  left: 0.3rem;
}

.with-icon {
  text-indent: 2rem;

  &:focus ~ .form-input-label {
    @include shrinkLabel(true);
    @include errorWarningInfo("error", "label");
  }
}
